This API v3 documentation is currently still on progress. For any issue, please contact support@runcloud.io
Authorization: Bearer ********************{
"isEnabled": true,
"paranoia": 1,
"anomaly": 5,
"rulesExclusion": {
"drupal": false,
"wordpress": true,
"next_cloud": false,
"docu_wiki": false,
"xen_foro": false,
"magento": false
}
}curl --location -g --request PATCH 'https://manage.runcloud.io/api/v3/servers/{{serverId}}/webapps/{{webappId}}/waf' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"isEnabled": true,
"paranoia": 1,
"anomaly": 5,
"rulesExclusion": {
"drupal": false,
"wordpress": true,
"next_cloud": false,
"docu_wiki": false,
"xen_foro": false,
"magento": false
}
}'{
"id": 1118,
"isEnabled": false,
"paranoia": 1,
"anomaly": 5,
"rulesExclusion": {
"drupal": false,
"wordpress": true,
"next_cloud": false,
"docu_wiki": false,
"xen_foro": false,
"magento": false
},
"rulesOrdering": [],
"created_at": "2026-03-09T07:27:54.000000Z",
"updated_at": "2026-03-09T07:31:31.000000Z"
}